## NAME

           pthread_suspend_np  -  suspend  execution  of  a real-time
           thread

## SYNOPSIS

           #include <rtl_sched.h>

           int pthread_suspend_np (pthread_t thread);

## DESCRIPTION

           This function is a non-portable Real-Time Linux extension.
           pthread_suspend_np  suspends  the  execution of the thread
           thread until a call to pthread_wakeup_np.

## RETURN VALUE

           Always returns 0.

## ERRORS

           None.

## AUTHOR

           Michael Barabanov <baraban@fsmlabs.com>

## SEE ALSO

           pthread_wakeup_np(3), pthread_make_periodic_np(3)